/*
 * Copyright (c) 2016, The Linux Foundation. All rights reserved.
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 and only version 2 as published by the Free Software
 * Foundation. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details. 
 */


#ifndef __QSPI_REGS_H__
#define __QSPI_REGS_H__




/* <b>FCSPI1:</b> Advanced SPI Flash Controller 1 */
/* ==================================================================== */
#define FCSPI1_BASE               0x188B0000

/* Control Register */
#define FCSPI1_CTRL_OFF           0x00000000
#define FCSPI1_CTRL               0x188B0000
#define FCSPI1_CTRL__CDIV__SHIFT       28
#define FCSPI1_CTRL__CDIV__WIDTH       4
#define FCSPI1_CTRL__CDIV__MASK        0xF0000000
#define FCSPI1_CTRL__CDIV__INV_MASK    0x0FFFFFFF
#define FCSPI1_CTRL__CDIV__HW_DEFAULT  0x0
#define FCSPI1_CTRL__RXDEL__SHIFT       27
#define FCSPI1_CTRL__RXDEL__WIDTH       1
#define FCSPI1_CTRL__RXDEL__MASK        0x08000000
#define FCSPI1_CTRL__RXDEL__INV_MASK    0xF7FFFFFF
#define FCSPI1_CTRL__RXDEL__HW_DEFAULT  0x0
#define FCSPI1_CTRL__SR__SHIFT       26
#define FCSPI1_CTRL__SR__WIDTH       1
#define FCSPI1_CTRL__SR__MASK        0x04000000
#define FCSPI1_CTRL__SR__INV_MASK    0xFBFFFFFF
#define FCSPI1_CTRL__SR__HW_DEFAULT  0x0
#define FCSPI1_CTRL__SPI__SHIFT       25
#define FCSPI1_CTRL__SPI__WIDTH       1
#define FCSPI1_CTRL__SPI__MASK        0x02000000
#define FCSPI1_CTRL__SPI__INV_MASK    0xFDFFFFFF
#define FCSPI1_CTRL__SPI__HW_DEFAULT  0x0
#define FCSPI1_CTRL__DPM__SHIFT       24
#define FCSPI1_CTRL__DPM__WIDTH       1
#define FCSPI1_CTRL__DPM__MASK        0x01000000
#define FCSPI1_CTRL__DPM__INV_MASK    0xFEFFFFFF
#define FCSPI1_CTRL__DPM__HW_DEFAULT  0x0
#define FCSPI1_CTRL__WFFL__SHIFT       16
#define FCSPI1_CTRL__WFFL__WIDTH       8
#define FCSPI1_CTRL__WFFL__MASK        0x00FF0000
#define FCSPI1_CTRL__WFFL__INV_MASK    0xFF00FFFF
#define FCSPI1_CTRL__WFFL__HW_DEFAULT  0x10
#define FCSPI1_CTRL__RFFL__SHIFT       8
#define FCSPI1_CTRL__RFFL__WIDTH       8
#define FCSPI1_CTRL__RFFL__MASK        0x0000FF00
#define FCSPI1_CTRL__RFFL__INV_MASK    0xFFFF00FF
#define FCSPI1_CTRL__RFFL__HW_DEFAULT  0x10
#define FCSPI1_CTRL__CDLY__SHIFT       0
#define FCSPI1_CTRL__CDLY__WIDTH       8
#define FCSPI1_CTRL__CDLY__MASK        0x000000FF
#define FCSPI1_CTRL__CDLY__INV_MASK    0xFFFFFF00
#define FCSPI1_CTRL__CDLY__HW_DEFAULT  0x80
/* Macros for data values */
#define FCSPI_ENTER_DPM           0x00000000
#define FCSPI_EXIT_DPM            0x01000000

/* Status Register */
#define FCSPI1_STAT_OFF           0x00000004
#define FCSPI1_STAT               0x188B0004
#define FCSPI1_STAT__DEVSR__SHIFT       24
#define FCSPI1_STAT__DEVSR__WIDTH       8
#define FCSPI1_STAT__DEVSR__MASK        0xFF000000
#define FCSPI1_STAT__DEVSR__INV_MASK    0x00FFFFFF
#define FCSPI1_STAT__DEVSR__HW_DEFAULT  0x0
#define FCSPI1_STAT__FREADBUSY__SHIFT       4
#define FCSPI1_STAT__FREADBUSY__WIDTH       1
#define FCSPI1_STAT__FREADBUSY__MASK        0x00000010
#define FCSPI1_STAT__FREADBUSY__INV_MASK    0xFFFFFFEF
#define FCSPI1_STAT__FREADBUSY__HW_DEFAULT  0x0
#define FCSPI1_STAT__REQRDY__SHIFT       3
#define FCSPI1_STAT__REQRDY__WIDTH       1
#define FCSPI1_STAT__REQRDY__MASK        0x00000008
#define FCSPI1_STAT__REQRDY__INV_MASK    0xFFFFFFF7
#define FCSPI1_STAT__REQRDY__HW_DEFAULT  0x0
#define FCSPI1_STAT__DPM__SHIFT       2
#define FCSPI1_STAT__DPM__WIDTH       1
#define FCSPI1_STAT__DPM__MASK        0x00000004
#define FCSPI1_STAT__DPM__INV_MASK    0xFFFFFFFB
#define FCSPI1_STAT__DPM__HW_DEFAULT  0x0
#define FCSPI1_STAT__DIA__SHIFT       1
#define FCSPI1_STAT__DIA__WIDTH       1
#define FCSPI1_STAT__DIA__MASK        0x00000002
#define FCSPI1_STAT__DIA__INV_MASK    0xFFFFFFFD
#define FCSPI1_STAT__DIA__HW_DEFAULT  0x1
#define FCSPI1_STAT__DOA__SHIFT       0
#define FCSPI1_STAT__DOA__WIDTH       1
#define FCSPI1_STAT__DOA__MASK        0x00000001
#define FCSPI1_STAT__DOA__INV_MASK    0xFFFFFFFE
#define FCSPI1_STAT__DOA__HW_DEFAULT  0x0

/* Access Request Register 0 */
#define FCSPI1_ACCRR0_OFF         0x00000008
#define FCSPI1_ACCRR0             0x188B0008
#define FCSPI1_ACCRR0__OFFSET__SHIFT       0
#define FCSPI1_ACCRR0__OFFSET__WIDTH       32
#define FCSPI1_ACCRR0__OFFSET__MASK        0xFFFFFFFF
#define FCSPI1_ACCRR0__OFFSET__INV_MASK    0x00000000
#define FCSPI1_ACCRR0__OFFSET__HW_DEFAULT  0x0

/* Access Request Register 1 */
#define FCSPI1_ACCRR1_OFF         0x0000000C
#define FCSPI1_ACCRR1             0x188B000C
#define FCSPI1_ACCRR1__LENGTH__SHIFT       0
#define FCSPI1_ACCRR1__LENGTH__WIDTH       32
#define FCSPI1_ACCRR1__LENGTH__MASK        0xFFFFFFFF
#define FCSPI1_ACCRR1__LENGTH__INV_MASK    0x00000000
#define FCSPI1_ACCRR1__LENGTH__HW_DEFAULT  0x0

/* Access Request Register 2 */
#define FCSPI1_ACCRR2_OFF         0x00000010
#define FCSPI1_ACCRR2             0x188B0010
#define FCSPI1_ACCRR2__BRFREAD__SHIFT       4
#define FCSPI1_ACCRR2__BRFREAD__WIDTH       1
#define FCSPI1_ACCRR2__BRFREAD__MASK        0x00000010
#define FCSPI1_ACCRR2__BRFREAD__INV_MASK    0xFFFFFFEF
#define FCSPI1_ACCRR2__BRFREAD__HW_DEFAULT  0x0
#define FCSPI1_ACCRR2__TYPE__SHIFT       0
#define FCSPI1_ACCRR2__TYPE__WIDTH       4
#define FCSPI1_ACCRR2__TYPE__MASK        0x0000000F
#define FCSPI1_ACCRR2__TYPE__INV_MASK    0xFFFFFFF0
#define FCSPI1_ACCRR2__TYPE__HW_DEFAULT  0x0
/* Macros for data values */
#define FCSPI_READ_REQUEST        0x00000000
#define FCSPI_WRITE_REQUEST       0x00000001
#define FCSPI_ERASE_REQUEST       0x00000002
#define FCSPI_FREAD_REQUEST       0x00000003

/* Duration Deep Power-Down Mode */
#define FCSPI1_DDPM_OFF           0x00000014
#define FCSPI1_DDPM               0x188B0014
#define FCSPI1_DDPM__EXIT__SHIFT       16
#define FCSPI1_DDPM__EXIT__WIDTH       16
#define FCSPI1_DDPM__EXIT__MASK        0xFFFF0000
#define FCSPI1_DDPM__EXIT__INV_MASK    0x0000FFFF
#define FCSPI1_DDPM__EXIT__HW_DEFAULT  0xFFFF
#define FCSPI1_DDPM__ENTER__SHIFT       0
#define FCSPI1_DDPM__ENTER__WIDTH       16
#define FCSPI1_DDPM__ENTER__MASK        0x0000FFFF
#define FCSPI1_DDPM__ENTER__INV_MASK    0xFFFF0000
#define FCSPI1_DDPM__ENTER__HW_DEFAULT  0xFFFF

/* Read/Write Data Register */
#define FCSPI1_RWDATA_OFF         0x00000018
#define FCSPI1_RWDATA             0x188B0018

/* FIFOs Status Register */
#define FCSPI1_FFSTAT_OFF         0x0000001C
#define FCSPI1_FFSTAT             0x188B001C
#define FCSPI1_FFSTAT__WFIFO__SHIFT       16
#define FCSPI1_FFSTAT__WFIFO__WIDTH       16
#define FCSPI1_FFSTAT__WFIFO__MASK        0xFFFF0000
#define FCSPI1_FFSTAT__WFIFO__INV_MASK    0x0000FFFF
#define FCSPI1_FFSTAT__WFIFO__HW_DEFAULT  0x0
#define FCSPI1_FFSTAT__RFIFO__SHIFT       0
#define FCSPI1_FFSTAT__RFIFO__WIDTH       16
#define FCSPI1_FFSTAT__RFIFO__MASK        0x0000FFFF
#define FCSPI1_FFSTAT__RFIFO__INV_MASK    0xFFFF0000
#define FCSPI1_FFSTAT__RFIFO__HW_DEFAULT  0x0

/* Default Attributes of the Serial Flash Device */
#define FCSPI1_DEFMEM_OFF         0x00000020
#define FCSPI1_DEFMEM             0x188B0020
#define FCSPI1_DEFMEM__ID__SHIFT       11
#define FCSPI1_DEFMEM__ID__WIDTH       1
#define FCSPI1_DEFMEM__ID__MASK        0x00000800
#define FCSPI1_DEFMEM__ID__INV_MASK    0xFFFFF7FF
#define FCSPI1_DEFMEM__ID__HW_DEFAULT  0x1
#define FCSPI1_DEFMEM__ZERO__SHIFT       9
#define FCSPI1_DEFMEM__ZERO__WIDTH       2
#define FCSPI1_DEFMEM__ZERO__MASK        0x00000600
#define FCSPI1_DEFMEM__ZERO__INV_MASK    0xFFFFF9FF
#define FCSPI1_DEFMEM__ZERO__HW_DEFAULT  0x0
#define FCSPI1_DEFMEM__CS__SHIFT       8
#define FCSPI1_DEFMEM__CS__WIDTH       1
#define FCSPI1_DEFMEM__CS__MASK        0x00000100
#define FCSPI1_DEFMEM__CS__INV_MASK    0xFFFFFEFF
#define FCSPI1_DEFMEM__CS__HW_DEFAULT  0x0
#define FCSPI1_DEFMEM__DPM__SHIFT       7
#define FCSPI1_DEFMEM__DPM__WIDTH       1
#define FCSPI1_DEFMEM__DPM__MASK        0x00000080
#define FCSPI1_DEFMEM__DPM__INV_MASK    0xFFFFFF7F
#define FCSPI1_DEFMEM__DPM__HW_DEFAULT  0x0
#define FCSPI1_DEFMEM__AW__SHIFT       6
#define FCSPI1_DEFMEM__AW__WIDTH       1
#define FCSPI1_DEFMEM__AW__MASK        0x00000040
#define FCSPI1_DEFMEM__AW__INV_MASK    0xFFFFFFBF
#define FCSPI1_DEFMEM__AW__HW_DEFAULT  0x0
#define FCSPI1_DEFMEM__WOPCODE__SHIFT       3
#define FCSPI1_DEFMEM__WOPCODE__WIDTH       3
#define FCSPI1_DEFMEM__WOPCODE__MASK        0x00000038
#define FCSPI1_DEFMEM__WOPCODE__INV_MASK    0xFFFFFFC7
#define FCSPI1_DEFMEM__WOPCODE__HW_DEFAULT  0x0
#define FCSPI1_DEFMEM__ROPCODE__SHIFT       0
#define FCSPI1_DEFMEM__ROPCODE__WIDTH       3
#define FCSPI1_DEFMEM__ROPCODE__MASK        0x00000007
#define FCSPI1_DEFMEM__ROPCODE__INV_MASK    0xFFFFFFF8
#define FCSPI1_DEFMEM__ROPCODE__HW_DEFAULT  0x0
/* Macros for data values */
#define FCSPI_FAST_READ           0x00000000
#define FCSPI_READ2O              0x00000001
#define FCSPI_READ2IO             0x00000002
#define FCSPI_READ4O              0x00000003
#define FCSPI_READ4IO             0x00000004
#define FCSPI_PP                  0x00000000
#define FCSPI_PP2O                0x00000008
#define FCSPI_PP4O                0x00000010
#define FCSPI_PP4IO               0x00000018
#define FCSPI_ADDR_24             0x00000000
#define FCSPI_ADDR_32             0x00000040
#define FCSPI_CS0                 0x00000000
#define FCSPI_CS1                 0x00000100
#define FCSPI_MANU_ID             0x00000000
#define FCSPI_AUTO_ID             0x00000800

/* Extended Addressing Mode */
#define FCSPI1_EXADDR_OFF         0x00000024
#define FCSPI1_EXADDR             0x188B0024
#define FCSPI1_EXADDR__EAW__SHIFT       27
#define FCSPI1_EXADDR__EAW__WIDTH       1
#define FCSPI1_EXADDR__EAW__MASK        0x08000000
#define FCSPI1_EXADDR__EAW__INV_MASK    0xF7FFFFFF
#define FCSPI1_EXADDR__EAW__HW_DEFAULT  0x0
#define FCSPI1_EXADDR__EACW__SHIFT       26
#define FCSPI1_EXADDR__EACW__WIDTH       1
#define FCSPI1_EXADDR__EACW__MASK        0x04000000
#define FCSPI1_EXADDR__EACW__INV_MASK    0xFBFFFFFF
#define FCSPI1_EXADDR__EACW__HW_DEFAULT  0x0
#define FCSPI1_EXADDR__AM__SHIFT       24
#define FCSPI1_EXADDR__AM__WIDTH       2
#define FCSPI1_EXADDR__AM__MASK        0x03000000
#define FCSPI1_EXADDR__AM__INV_MASK    0xFCFFFFFF
#define FCSPI1_EXADDR__AM__HW_DEFAULT  0x0
#define FCSPI1_EXADDR__BYTE1__SHIFT       16
#define FCSPI1_EXADDR__BYTE1__WIDTH       8
#define FCSPI1_EXADDR__BYTE1__MASK        0x00FF0000
#define FCSPI1_EXADDR__BYTE1__INV_MASK    0xFF00FFFF
#define FCSPI1_EXADDR__BYTE1__HW_DEFAULT  0x0
#define FCSPI1_EXADDR__BYTE0__SHIFT       8
#define FCSPI1_EXADDR__BYTE0__WIDTH       8
#define FCSPI1_EXADDR__BYTE0__MASK        0x0000FF00
#define FCSPI1_EXADDR__BYTE0__INV_MASK    0xFFFF00FF
#define FCSPI1_EXADDR__BYTE0__HW_DEFAULT  0x0
#define FCSPI1_EXADDR__OPCODE__SHIFT       0
#define FCSPI1_EXADDR__OPCODE__WIDTH       8
#define FCSPI1_EXADDR__OPCODE__MASK        0x000000FF
#define FCSPI1_EXADDR__OPCODE__INV_MASK    0xFFFFFF00
#define FCSPI1_EXADDR__OPCODE__HW_DEFAULT  0xB7
/* Macros for data values */
#define FCSPI_NO_INSTR            0x00000000
#define FCSPI_OPCODE_ONLY         0x01000000
#define FCSPI_OPCODE_BYTE0        0x02000000
#define FCSPI_OPCODE_BYTE0_1      0x03000000

/* Memory Specification Register */
#define FCSPI1_MEMSPEC_OFF        0x00000028
#define FCSPI1_MEMSPEC            0x188B0028
#define FCSPI1_MEMSPEC__ID__SHIFT       16
#define FCSPI1_MEMSPEC__ID__WIDTH       8
#define FCSPI1_MEMSPEC__ID__MASK        0x00FF0000
#define FCSPI1_MEMSPEC__ID__INV_MASK    0xFF00FFFF
#define FCSPI1_MEMSPEC__ID__HW_DEFAULT  0x0
#define FCSPI1_MEMSPEC__TY__SHIFT       8
#define FCSPI1_MEMSPEC__TY__WIDTH       8
#define FCSPI1_MEMSPEC__TY__MASK        0x0000FF00
#define FCSPI1_MEMSPEC__TY__INV_MASK    0xFFFF00FF
#define FCSPI1_MEMSPEC__TY__HW_DEFAULT  0x0
#define FCSPI1_MEMSPEC__SZ__SHIFT       0
#define FCSPI1_MEMSPEC__SZ__WIDTH       8
#define FCSPI1_MEMSPEC__SZ__MASK        0x000000FF
#define FCSPI1_MEMSPEC__SZ__INV_MASK    0xFFFFFF00
#define FCSPI1_MEMSPEC__SZ__HW_DEFAULT  0x0

/* Interrupt Mask Register */
#define FCSPI1_INTMSK_OFF         0x0000002C
#define FCSPI1_INTMSK             0x188B002C
#define FCSPI1_INTMSK__REQRDY__SHIFT       2
#define FCSPI1_INTMSK__REQRDY__WIDTH       1
#define FCSPI1_INTMSK__REQRDY__MASK        0x00000004
#define FCSPI1_INTMSK__REQRDY__INV_MASK    0xFFFFFFFB
#define FCSPI1_INTMSK__REQRDY__HW_DEFAULT  0x0
#define FCSPI1_INTMSK__DIA__SHIFT       1
#define FCSPI1_INTMSK__DIA__WIDTH       1
#define FCSPI1_INTMSK__DIA__MASK        0x00000002
#define FCSPI1_INTMSK__DIA__INV_MASK    0xFFFFFFFD
#define FCSPI1_INTMSK__DIA__HW_DEFAULT  0x0
#define FCSPI1_INTMSK__DOA__SHIFT       0
#define FCSPI1_INTMSK__DOA__WIDTH       1
#define FCSPI1_INTMSK__DOA__MASK        0x00000001
#define FCSPI1_INTMSK__DOA__INV_MASK    0xFFFFFFFE
#define FCSPI1_INTMSK__DOA__HW_DEFAULT  0x0

/* Interrupt Request Register */
#define FCSPI1_INTREQ_OFF         0x00000030
#define FCSPI1_INTREQ             0x188B0030
#define FCSPI1_INTREQ__REQRDY__SHIFT       2
#define FCSPI1_INTREQ__REQRDY__WIDTH       1
#define FCSPI1_INTREQ__REQRDY__MASK        0x00000004
#define FCSPI1_INTREQ__REQRDY__INV_MASK    0xFFFFFFFB
#define FCSPI1_INTREQ__REQRDY__HW_DEFAULT  0x0
#define FCSPI1_INTREQ__DIA__SHIFT       1
#define FCSPI1_INTREQ__DIA__WIDTH       1
#define FCSPI1_INTREQ__DIA__MASK        0x00000002
#define FCSPI1_INTREQ__DIA__INV_MASK    0xFFFFFFFD
#define FCSPI1_INTREQ__DIA__HW_DEFAULT  0x0
#define FCSPI1_INTREQ__DOA__SHIFT       0
#define FCSPI1_INTREQ__DOA__WIDTH       1
#define FCSPI1_INTREQ__DOA__MASK        0x00000001
#define FCSPI1_INTREQ__DOA__INV_MASK    0xFFFFFFFE
#define FCSPI1_INTREQ__DOA__HW_DEFAULT  0x0

/* Custom Instruction Setup Register */
#define FCSPI1_CICFG_OFF          0x00000034
#define FCSPI1_CICFG              0x188B0034
#define FCSPI1_CICFG__WREN__SHIFT       15
#define FCSPI1_CICFG__WREN__WIDTH       1
#define FCSPI1_CICFG__WREN__MASK        0x00008000
#define FCSPI1_CICFG__WREN__INV_MASK    0xFFFF7FFF
#define FCSPI1_CICFG__WREN__HW_DEFAULT  0x0
#define FCSPI1_CICFG__WIP__SHIFT       14
#define FCSPI1_CICFG__WIP__WIDTH       1
#define FCSPI1_CICFG__WIP__MASK        0x00004000
#define FCSPI1_CICFG__WIP__INV_MASK    0xFFFFBFFF
#define FCSPI1_CICFG__WIP__HW_DEFAULT  0x0
#define FCSPI1_CICFG__HOLDN__SHIFT       13
#define FCSPI1_CICFG__HOLDN__WIDTH       1
#define FCSPI1_CICFG__HOLDN__MASK        0x00002000
#define FCSPI1_CICFG__HOLDN__INV_MASK    0xFFFFDFFF
#define FCSPI1_CICFG__HOLDN__HW_DEFAULT  0x0
#define FCSPI1_CICFG__WPN__SHIFT       12
#define FCSPI1_CICFG__WPN__WIDTH       1
#define FCSPI1_CICFG__WPN__MASK        0x00001000
#define FCSPI1_CICFG__WPN__INV_MASK    0xFFFFEFFF
#define FCSPI1_CICFG__WPN__HW_DEFAULT  0x0
#define FCSPI1_CICFG__LEN__SHIFT       8
#define FCSPI1_CICFG__LEN__WIDTH       4
#define FCSPI1_CICFG__LEN__MASK        0x00000F00
#define FCSPI1_CICFG__LEN__INV_MASK    0xFFFFF0FF
#define FCSPI1_CICFG__LEN__HW_DEFAULT  0x0
#define FCSPI1_CICFG__OPCODE__SHIFT       0
#define FCSPI1_CICFG__OPCODE__WIDTH       8
#define FCSPI1_CICFG__OPCODE__MASK        0x000000FF
#define FCSPI1_CICFG__OPCODE__INV_MASK    0xFFFFFF00
#define FCSPI1_CICFG__OPCODE__HW_DEFAULT  0x0

/* Custom Instruction Data Register 0 */
#define FCSPI1_CIDR0_OFF          0x00000038
#define FCSPI1_CIDR0              0x188B0038
#define FCSPI1_CIDR0__B3__SHIFT       24
#define FCSPI1_CIDR0__B3__WIDTH       8
#define FCSPI1_CIDR0__B3__MASK        0xFF000000
#define FCSPI1_CIDR0__B3__INV_MASK    0x00FFFFFF
#define FCSPI1_CIDR0__B3__HW_DEFAULT  0x0
#define FCSPI1_CIDR0__B2__SHIFT       16
#define FCSPI1_CIDR0__B2__WIDTH       8
#define FCSPI1_CIDR0__B2__MASK        0x00FF0000
#define FCSPI1_CIDR0__B2__INV_MASK    0xFF00FFFF
#define FCSPI1_CIDR0__B2__HW_DEFAULT  0x0
#define FCSPI1_CIDR0__B1__SHIFT       8
#define FCSPI1_CIDR0__B1__WIDTH       8
#define FCSPI1_CIDR0__B1__MASK        0x0000FF00
#define FCSPI1_CIDR0__B1__INV_MASK    0xFFFF00FF
#define FCSPI1_CIDR0__B1__HW_DEFAULT  0x0
#define FCSPI1_CIDR0__B0__SHIFT       0
#define FCSPI1_CIDR0__B0__WIDTH       8
#define FCSPI1_CIDR0__B0__MASK        0x000000FF
#define FCSPI1_CIDR0__B0__INV_MASK    0xFFFFFF00
#define FCSPI1_CIDR0__B0__HW_DEFAULT  0x0

/* Custom Instruction Data Register 1 */
#define FCSPI1_CIDR1_OFF          0x0000003C
#define FCSPI1_CIDR1              0x188B003C
#define FCSPI1_CIDR1__B7__SHIFT       24
#define FCSPI1_CIDR1__B7__WIDTH       8
#define FCSPI1_CIDR1__B7__MASK        0xFF000000
#define FCSPI1_CIDR1__B7__INV_MASK    0x00FFFFFF
#define FCSPI1_CIDR1__B7__HW_DEFAULT  0x0
#define FCSPI1_CIDR1__B6__SHIFT       16
#define FCSPI1_CIDR1__B6__WIDTH       8
#define FCSPI1_CIDR1__B6__MASK        0x00FF0000
#define FCSPI1_CIDR1__B6__INV_MASK    0xFF00FFFF
#define FCSPI1_CIDR1__B6__HW_DEFAULT  0x0
#define FCSPI1_CIDR1__B5__SHIFT       8
#define FCSPI1_CIDR1__B5__WIDTH       8
#define FCSPI1_CIDR1__B5__MASK        0x0000FF00
#define FCSPI1_CIDR1__B5__INV_MASK    0xFFFF00FF
#define FCSPI1_CIDR1__B5__HW_DEFAULT  0x0
#define FCSPI1_CIDR1__B4__SHIFT       0
#define FCSPI1_CIDR1__B4__WIDTH       8
#define FCSPI1_CIDR1__B4__MASK        0x000000FF
#define FCSPI1_CIDR1__B4__INV_MASK    0xFFFFFF00
#define FCSPI1_CIDR1__B4__HW_DEFAULT  0x0

#define FCSPI1_DCR_OFF          0x00000040
#define FCSPI1_DCR              0x188B0040
#define FCSPI1_DCR__READ2IO__SHIFT       0
#define FCSPI1_DCR__READ2IO__WIDTH       4
#define FCSPI1_DCR__READ2IO__MASK        0x0000000F
#define FCSPI1_DCR__READ2IO__INV_MASK    0xFFFFFFF0
#define FCSPI1_DCR__READ2IO__HW_DEFAULT  0x0

#define FCSPI1_DCR__READ4IO__SHIFT       4
#define FCSPI1_DCR__READ4IO__WIDTH       4
#define FCSPI1_DCR__READ4IO__MASK        0x000000F0
#define FCSPI1_DCR__READ4IO__INV_MASK    0xFFFFFF0F
#define FCSPI1_DCR__READ4IO__HW_DEFAULT  0x0

#define FCSPI1_DCR__RX_DEL__SHIFT       8
#define FCSPI1_DCR__RX_DEL__WIDTH       3
#define FCSPI1_DCR__RX_DEL__MASK        0x00000700
#define FCSPI1_DCR__RX_DEL__INV_MASK    0xFFFFF8FF
#define FCSPI1_DCR__RX_DEL__HW_DEFAULT  0x0



/* <b>FCSPI1_GPF:</b> Flash Controller 1 GPF */
/* ==================================================================== */
#define FCGPF1_BASE               0x188B0800

/* FCSPI DMA System Memory Source/Destination address */
#define FCSPI1_DMA_SADDR_OFF      0x00000000
#define FCSPI1_DMA_SADDR          0x188B0800
#define FCSPI1_DMA_SADDR__SADDR__SHIFT       0
#define FCSPI1_DMA_SADDR__SADDR__WIDTH       32
#define FCSPI1_DMA_SADDR__SADDR__MASK        0xFFFFFFFF
#define FCSPI1_DMA_SADDR__SADDR__INV_MASK    0x00000000
#define FCSPI1_DMA_SADDR__SADDR__HW_DEFAULT  0x0

/* FCSPI DMA FLASH Source/Destination address */
#define FCSPI1_DMA_FADDR_OFF      0x00000004
#define FCSPI1_DMA_FADDR          0x188B0804
#define FCSPI1_DMA_FADDR__FADDR__SHIFT       0
#define FCSPI1_DMA_FADDR__FADDR__WIDTH       32
#define FCSPI1_DMA_FADDR__FADDR__MASK        0xFFFFFFFF
#define FCSPI1_DMA_FADDR__FADDR__INV_MASK    0x00000000
#define FCSPI1_DMA_FADDR__FADDR__HW_DEFAULT  0x0

/* FCSPI DMA Block Length */
#define FCSPI1_DMA_LEN_OFF        0x00000008
#define FCSPI1_DMA_LEN            0x188B0808
#define FCSPI1_DMA_LEN__LEN__SHIFT       0
#define FCSPI1_DMA_LEN__LEN__WIDTH       32
#define FCSPI1_DMA_LEN__LEN__MASK        0xFFFFFFFF
#define FCSPI1_DMA_LEN__LEN__INV_MASK    0x00000000
#define FCSPI1_DMA_LEN__LEN__HW_DEFAULT  0x0

/* FCSPI DMA Control/Status Register */
#define FCSPI1_DMA_CST_OFF        0x0000000C
#define FCSPI1_DMA_CST            0x188B080C
#define FCSPI1_DMA_CST__CE__SHIFT       28
#define FCSPI1_DMA_CST__CE__WIDTH       1
#define FCSPI1_DMA_CST__CE__MASK        0x10000000
#define FCSPI1_DMA_CST__CE__INV_MASK    0xEFFFFFFF
#define FCSPI1_DMA_CST__CE__HW_DEFAULT  0x0
#define FCSPI1_DMA_CST__INT_CLR__SHIFT       24
#define FCSPI1_DMA_CST__INT_CLR__WIDTH       1
#define FCSPI1_DMA_CST__INT_CLR__MASK        0x01000000
#define FCSPI1_DMA_CST__INT_CLR__INV_MASK    0xFEFFFFFF
#define FCSPI1_DMA_CST__INT_CLR__HW_DEFAULT  0x0
#define FCSPI1_DMA_CST__INT_STAT__SHIFT       20
#define FCSPI1_DMA_CST__INT_STAT__WIDTH       1
#define FCSPI1_DMA_CST__INT_STAT__MASK        0x00100000
#define FCSPI1_DMA_CST__INT_STAT__INV_MASK    0xFFEFFFFF
#define FCSPI1_DMA_CST__INT_STAT__HW_DEFAULT  0x0
#define FCSPI1_DMA_CST__INT_EN__SHIFT       16
#define FCSPI1_DMA_CST__INT_EN__WIDTH       1
#define FCSPI1_DMA_CST__INT_EN__MASK        0x00010000
#define FCSPI1_DMA_CST__INT_EN__INV_MASK    0xFFFEFFFF
#define FCSPI1_DMA_CST__INT_EN__HW_DEFAULT  0x0
#define FCSPI1_DMA_CST__SRESET__SHIFT       12
#define FCSPI1_DMA_CST__SRESET__WIDTH       1
#define FCSPI1_DMA_CST__SRESET__MASK        0x00001000
#define FCSPI1_DMA_CST__SRESET__INV_MASK    0xFFFFEFFF
#define FCSPI1_DMA_CST__SRESET__HW_DEFAULT  0x0
#define FCSPI1_DMA_CST__STAT__SHIFT       8
#define FCSPI1_DMA_CST__STAT__WIDTH       1
#define FCSPI1_DMA_CST__STAT__MASK        0x00000100
#define FCSPI1_DMA_CST__STAT__INV_MASK    0xFFFFFEFF
#define FCSPI1_DMA_CST__STAT__HW_DEFAULT  0x0
#define FCSPI1_DMA_CST__START__SHIFT       4
#define FCSPI1_DMA_CST__START__WIDTH       1
#define FCSPI1_DMA_CST__START__MASK        0x00000010
#define FCSPI1_DMA_CST__START__INV_MASK    0xFFFFFFEF
#define FCSPI1_DMA_CST__START__HW_DEFAULT  0x0
#define FCSPI1_DMA_CST__OP__SHIFT       0
#define FCSPI1_DMA_CST__OP__WIDTH       1
#define FCSPI1_DMA_CST__OP__MASK        0x00000001
#define FCSPI1_DMA_CST__OP__INV_MASK    0xFFFFFFFE
#define FCSPI1_DMA_CST__OP__HW_DEFAULT  0x0

/* FCSPI Debug Register */
#define FCSPI1_DEBUG_OFF          0x00000010
#define FCSPI1_DEBUG              0x188B0810
#define FCSPI1_DEBUG__DEBUG__SHIFT       0
#define FCSPI1_DEBUG__DEBUG__WIDTH       19
#define FCSPI1_DEBUG__DEBUG__MASK        0x0007FFFF
#define FCSPI1_DEBUG__DEBUG__INV_MASK    0xFFF80000
#define FCSPI1_DEBUG__DEBUG__HW_DEFAULT  0x1

/* FCSPI XOTF Register */
#define FCSPI1_XOTF_EN_OFF              0x00000014
#define FCSPI1_XOTF_EN                  0x188B0814
#define FCSPI1_XOTF_EN__EN__SHIFT       0
#define FCSPI1_XOTF_EN__EN__WIDTH       1
#define FCSPI1_XOTF_EN__EN__MASK        0x00000001
#define FCSPI1_XOTF_EN__EN__INV_MASK    0xFFFFFFFE
#define FCSPI1_XOTF_EN__EN__HW_DEFAULT  0x0

#endif  // __QSPI_REGS_H__
